/*
 * Note: this file originally auto-generated by mib2c using
 *  $
 *
 * $Id:$
 */
#ifndef DOT1DTPFDBTABLE_ENUMS_H
#define DOT1DTPFDBTABLE_ENUMS_H

#ifdef __cplusplus
extern "C" {
#endif

 /*
 * NOTES on enums
 * ==============
 *
 * Value Mapping
 * -------------
 * If the values for your data type don't exactly match the
 * possible values defined by the mib, you should map them
 * below. For example, a boolean flag (1/0) is usually represented
 * as a TruthValue in a MIB, which maps to the values (1/2).
 *
 */
/*************************************************************************
 *************************************************************************
 *
 * enum definitions for table dot1dTpFdbTable
 *
 *************************************************************************
 *************************************************************************/

/*************************************************************
 * constants for enums for the MIB node
 * dot1dTpFdbStatus (INTEGER / ASN_INTEGER)
 *
 * since a Textual Convention may be referenced more than once in a
 * MIB, protect againt redefinitions of the enum values.
 */
#ifndef DOT1DTPFDBSTATUS_ENUMS
#define DOT1DTPFDBSTATUS_ENUMS

#define DOT1DTPFDBSTATUS_OTHER  1 
#define DOT1DTPFDBSTATUS_INVALID  2 
#define DOT1DTPFDBSTATUS_LEARNED  3 
#define DOT1DTPFDBSTATUS_SELF  4 
#define DOT1DTPFDBSTATUS_MGMT  5 

#endif /* DOT1DTPFDBSTATUS_ENUMS */


#ifdef __cplusplus
}
#endif

#endif /* DOT1DTPFDBTABLE_ENUMS_H */
